Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.ooxml
Class OOXMLSignatureFacet

    java.lang.Object
      be.fedict.eid.applet.service.signer.ooxml.OOXMLSignatureFacet

All Implemented Interfaces:
  SignatureFacet

    public class OOXMLSignatureFacet

extends Object
implements SignatureFacet

Office OpenXML Signature Facet implementation.

Author:
  fcorneli
See Also:
  `http://msdn.microsoft.com/en-us/library/cc313071.aspx`

Field Summary
`static String[]` | `contentTypes`
`static String` | `OFFICE_DIGSIG_NS`
`static String` | `OOXML_DIGSIG_NS`
`static String[]` | `signed` Office 2010 list of signed types (extensions).

Constructor Summary
`OOXMLSignatureFacet(AbstractOOXMLSignatureService signatureService)` Main constructor.
`OOXMLSignatureFacet(AbstractOOXMLSignatureService signatureService, Clock clock, DigestAlgo digestAlgo)` Main constructor.

Method Summary
`protected Document` | `findDocument(String zipEntryName)`
`static String` | `getRelationshipReferenceURI(String zipEntryName)`
`static String` | `getResourceReferenceURI(String resourceName, String contentType)`
`static boolean` | `isSignedRelationship(String relationshipType)`
`static Document` | `loadDocument(InputStream documentInputStream)`
`protected Document` | `loadDocument(String zipEntryName)`
`void` | `postSign(Element signatureElement, List<X509Certificate> signingCertificateChain)` This method is being invoked by the XML signature service engine during the post-sign phase.
`void` | `preSign(XMLSignatureFactory signatureFactory, Document document, String signatureId, List<X509Certificate> signingCertificateChain, List<Reference> references, List<XMLObject> objects)` This method is being invoked by the XML signature service engine during pre-sign phase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OOXML_DIGSIG_NS

    public static final String OOXML_DIGSIG_NS

See Also:
  Constant Field Values

### OFFICE_DIGSIG_NS

    public static final String OFFICE_DIGSIG_NS

See Also:
  Constant Field Values

### contentTypes

    public static String[] contentTypes

### signed

    public static String[] signed

  Office 2010 list of signed types (extensions).

Constructor Detail

### OOXMLSignatureFacet

    public OOXMLSignatureFacet(AbstractOOXMLSignatureService signatureService)

  Main constructor.

### OOXMLSignatureFacet

    public OOXMLSignatureFacet(AbstractOOXMLSignatureService signatureService,
                               Clock clock,
                               DigestAlgo digestAlgo)

  Main constructor.

Method Detail

### preSign

    public void preSign(XMLSignatureFactory signatureFactory,
                        Document document,
                        String signatureId,
                        List<X509Certificate> signingCertificateChain,
                        List<Reference> references,
                        List<XMLObject> objects)
                 throws NoSuchAlgorithmException,
                        InvalidAlgorithmParameterException

  Description copied from interface: `SignatureFacet`
  This method is being invoked by the XML signature service engine during pre-sign phase. Via this method a signature facet implementation can add signature facets to an XML signature.

  Specified by:
    `preSign` in interface `SignatureFacet`
    `signingCertificateChain` - the optional signing certificate chain
  Throws:
    `NoSuchAlgorithmException`
    `InvalidAlgorithmParameterException`

### loadDocument

    protected Document loadDocument(String zipEntryName)
                             throws IOException,
                                    ParserConfigurationException,
                                    SAXException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### findDocument

    protected Document findDocument(String zipEntryName)
                             throws IOException,
                                    ParserConfigurationException,
                                    SAXException

  Throws:
    `IOException`
    `ParserConfigurationException`
    `SAXException`

### loadDocument

    public static Document loadDocument(InputStream documentInputStream)
                                 throws ParserConfigurationException,
                                        SAXException,
                                        IOException

  Throws:
    `ParserConfigurationException`
    `SAXException`
    `IOException`

### postSign

    public void postSign(Element signatureElement,
                         List<X509Certificate> signingCertificateChain)

  Description copied from interface: `SignatureFacet`
  This method is being invoked by the XML signature service engine during the post-sign phase. Via this method a signature facet can extend the XML signatures with for example key information.

  Specified by:
    `postSign` in interface `SignatureFacet`

### getRelationshipReferenceURI

    public static String getRelationshipReferenceURI(String zipEntryName)

### getResourceReferenceURI

    public static String getResourceReferenceURI(String resourceName,
                                                 String contentType)

### isSignedRelationship

    public static boolean isSignedRelationship(String relationshipType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.